Subject: Re: skill package changes for NetBSD >= 1.5
To: Simon Burge <simonb@NetBSD.ORG>
From: Hubert Feyrer <>
List: tech-pkg
Date: 06/23/2000 05:25:44
On Fri, 23 Jun 2000, Simon Burge wrote:
> Oops, I meant to delete that from the non-new case as well - I can't
> actually see where -DUVM is used.
> Hmm, in fact there's no reason that _any_ version of NetBSD needs to
> use UVM or libkvm or setgid kmem - it can call sysctl() directly!  I'll
> rewrite the bsd-44.c module altogether then...

Please keep in mind that pkgsrc is also used on 1.3 systems still, so make
sure you put in the right #ifdef's. :-)

 - Hubert

NetBSD - because Unix isn't just #include <linux.h>, i386, ILP32, ELF, ...!